Bug 795478 - yum.Errors.RepoError: Cannot retrieve repository metadata (repomd.xml) for repository: critpath-repo-i386
yum.Errors.RepoError: Cannot retrieve repository metadata (repomd.xml) for re...
Product: Fedora
Classification: Fedora
Component: mash (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bill Nottingham
Fedora Extras Quality Assurance
Depends On:
Blocks: F17Beta/F17BetaBlocker
  Show dependency treegraph
Reported: 2012-02-20 11:31 EST by Kamil Páral
Modified: 2014-03-16 23:29 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-02-23 15:25:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Kamil Páral 2012-02-20 11:31:50 EST
Description of problem:
Current F17 compose process contains this exception in the critpath creation process:

Traceback (most recent call last):
  File "./scripts/critpath.py", line 184, in <module>
    pkgs = expand_critpath(my, critpath_groups)
  File "./scripts/critpath.py", line 88, in expand_critpath
    group = my.comps.return_group(name[1:])
  File "/usr/lib/python2.6/site-packages/yum/__init__.py", line 906, in <lambda>
    comps = property(fget=lambda self: self._getGroups(),
  File "/usr/lib/python2.6/site-packages/yum/__init__.py", line 793, in _getGroups
    if not repo.ready():
  File "/usr/lib/python2.6/site-packages/yum/yumRepo.py", line 340, in ready
    return self.repoXML is not None
  File "/usr/lib/python2.6/site-packages/yum/yumRepo.py", line 1462, in <lambda>
    repoXML = property(fget=lambda self: self._getRepoXML(),
  File "/usr/lib/python2.6/site-packages/yum/yumRepo.py", line 1458, in _getRepoXML
    raise Errors.RepoError, msg
yum.Errors.RepoError: Cannot retrieve repository metadata (repomd.xml) for repository: critpath-repo-i386. Please verify its path and try again


Reported against mash as per nirik's recommendation.
Comment 1 Kamil Páral 2012-02-23 06:32:37 EST
So now I know more. The traceback indicates that critpath.txt is not created. That means that none of the links mentioned here [1] works.

Since we need to know which packages are in critpath to be able to consider release blockers I'm marking this as F17 Beta blocker.

[1] http://fedoraproject.org/wiki/Critical_path_package#Where_can_I_find_the_critical_path.3F
Comment 2 Bill Nottingham 2012-02-23 15:25:34 EST
This is not in mash - it's not actually in any packages we ship. It's a bug in the compose scripts, as a result of:

In any case, fixed.
Comment 3 Kamil Páral 2012-02-27 05:15:27 EST
Bill, it doesn't seem to be fixed. I've opened a rel-eng ticket to follow up on that issue:
Comment 4 Bill Nottingham 2012-02-27 11:59:15 EST
Hooray for multiple bugs with the same symtpoms. Fixed.

Note You need to log in before you can comment on or make changes to this bug.